| Home | Libraries | People | FAQ | More

###### ssl_stream::handshake (2 of 4 overloads)

Perform SSL handshaking.

###### Synopsis

    void
    handshake(
        handshake_type type,
        boost::system::error_code& ec);

###### Description

This function is used to perform SSL handshaking on the stream. The function call will block until handshaking is complete or an error occurs.

###### Parameters

Name | Description
--- | ---
`type` | The type of handshaking to be performed, i.e. as a client or as a server.
`ec` | Set to indicate what error occurred, if any.